#include "CreateDxtFile.h"

using namespace std;
// needs include png, physfs, glew libraries!

int main(int argc, char *argv[])
{
   PHYSFS_init(argv[0]);

   int Dxt1 = 1;
   int Dxt3 = 2;
   int Dxt5 = 4;

   int number = 0;

   string path = "C:/texpages";

   PHYSFS_addToSearchPath(path.c_str(),1);  // setup path
   


   //CreateDxtFile(path, "page-109-sand-arizona.png", Dxt1, true, 4, number, true, true);   // this function is for only one file

   CreateDxtFile(path, "page-25-sky-urban.png", Dxt5, true, 4, number, true, true);     // this function is for only one file
   CreateDxtFile(path, "page-25-sky-arizona.png", Dxt5, true, 4, number, true, true);     // this function is for only one file
   // 1 - directory
   // 2 - file
   // 3 - DXT1 or DXT3 or DXT5
   // 4 - Generate mipmap?
   // 5 - What is the minimum size of mipmap?
   // 6 - identifier, It can be useful for optimizing the rendering in the future
   // 7 - Do you want to delete the png file
   // 8 - true - rename extension (file.png -> file.dxt), false - just add the extension to the file name(file.png -> file.png.dxt)


   CreateDxtfilesFolder(path, Dxt1, true, 4, number, true, true);    // this function converts all png files in the specified folder
// 1 - directory, all png files will be converted
// 2 - DXT1 or DXT3 or DXT5
// 3 - Generate mipmap?
// 4 - What is the minimum size of mipmap?
// 5 - identifier, It can be useful for optimizing the rendering in the future
// 6 - Do you want to delete the png file
// 7 - true - rename extension (file.png -> file.dxt), false - just add the extension to the file name(file.png -> file.png.dxt)

   
   string path_to;
   path_to = path + "/tertilesc1hw-128";
   PHYSFS_addToSearchPath(path.c_str(),1);
   CreateDxtfilesFolder(path, Dxt5, true, 32, number, true, true);

   path_to = path + "/tertilesc2hw-128";
   PHYSFS_addToSearchPath(path.c_str(),1);
   CreateDxtfilesFolder(path, Dxt5, true, 32, number, true, true);

   path_to = path + "/tertilesc3hw-128";
   PHYSFS_addToSearchPath(path.c_str(),1);
   CreateDxtfilesFolder(path, Dxt5, true, 32, number, true, true);



   path_to = path + "/tertilesc1hw-16";
   PHYSFS_addToSearchPath(path.c_str(),1);                 // setup path
   CreateDxtfilesFolder(path, Dxt5, false, 0, number, true, true);

   path_to = path + "/tertilesc1hw-32";
   PHYSFS_addToSearchPath(path.c_str(),1);                 // setup path
   CreateDxtfilesFolder(path, Dxt5, false, 0, number, true, true);

   path_to = path + "/tertilesc1hw-64";
   PHYSFS_addToSearchPath(path.c_str(),1);
   CreateDxtfilesFolder(path, Dxt5, false, 0, number, true, true);


   ///////////
   path_to = path + "/tertilesc2hw-16";
   PHYSFS_addToSearchPath(path.c_str(),1);
   CreateDxtfilesFolder(path, Dxt5, false, 0, number, true, true);

   path_to = path + "/tertilesc2hw-32";
   PHYSFS_addToSearchPath(path.c_str(),1);
   CreateDxtfilesFolder(path, Dxt5, false, 0, number, true, true);

   path_to = path + "/tertilesc2hw-64";
   PHYSFS_addToSearchPath(path.c_str(),1);
   CreateDxtfilesFolder(path, Dxt5, false, 0, number, true, true);


   ////////
   path_to = path + "/tertilesc3hw-16";
   PHYSFS_addToSearchPath(path.c_str(),1);
   CreateDxtfilesFolder(path, Dxt5, false, 0, number, true, true);


   path_to = path + "/tertilesc3hw-32";
   PHYSFS_addToSearchPath(path.c_str(),1);
   CreateDxtfilesFolder(path, Dxt5, false, 0, number, true, true);


   path_to = path + "/tertilesc3hw-64";
   PHYSFS_addToSearchPath(path.c_str(),1);
   CreateDxtfilesFolder(path, Dxt5, false, 0, number, true, true);

   
   PHYSFS_deinit();
   cout << "done!"<<"\n";
   char pause; std::cin >> pause;
   return 0;
}